package com.gic.spark.util;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.apache.http.HttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.StringEntity;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by paste on 2019/4/8 17:04
 * <p>
 * TODO: class description
 */
public class IndexRequestUtil {

    public static List<String> getStoreId(Integer enterpriseId, String widgetId, boolean isProd) {
        String url = isProd?"https://ideal.demogic.com/gic-store-web/list-widget-store-info?enterpriseId="+enterpriseId+"&storeWidgetId="+widgetId
                           :"https://four.gicdev.com/gic-store-web/list-widget-store-info?enterpriseId="+enterpriseId+"&storeWidgetId="+widgetId;

        HttpResponse response = HttpClient.getHttpResponseByGet(url);
        JSONObject jsonObject = JSONObject.parseObject(HttpClient.getResponseString(response));
        List<String> result = new ArrayList();
        try {
            JSONArray jsonArray = jsonObject.getJSONArray("result");
            for (Object obj : jsonArray) {
                result.add(String.valueOf(obj));
            }
        } catch (Exception e) {
            DingtalkMessageUtil.sendAlertMessage("widgetId: " + widgetId + " enterpriseId: " + enterpriseId +  " parsing store error " );
        }
        return result;
    }


    public static List<String> getGoodsSkucod(Integer enterpriseId ,String selectorId, boolean isProd){
        String url = isProd?"https://ideal.demogic.com/api-goods/goods-selector-process?goodsSelectorId="+selectorId+"&enterpriseId="+enterpriseId
                            :"https://four.gicdev.com/api-goods/goods-selector-process?goodsSelectorId="+selectorId+"&enterpriseId="+enterpriseId;

        HttpResponse response = HttpClient.getHttpResponseByGet(url);
        JSONObject jsonObject = JSONObject.parseObject(HttpClient.getResponseString(response));
        List<String> result = new ArrayList();
        try {
            JSONArray jsonArray = jsonObject.getJSONObject("result").getJSONArray("list");

            for (Object obj : jsonArray) {
                result.add((String)obj);
            }
        } catch (Exception e) {
            DingtalkMessageUtil.sendAlertMessage("selectorId: " + selectorId + " enterpriseId: " + enterpriseId +  " parsing store error " );
        }
        return result;
    }

}
